import socket
import psycopg2
import json
import os

ip_device = os.getenv("ip_device")
db_server = json.loads(os.getenv("dist_servs"))[ip_device]

class DataBaseServer():
    db_server_ip = db_server
    port = 5432
    user = "postgres"

    def get_data(self, query):
        conn = psycopg2.connect(
            host=DataBaseServer.db_server_ip,
            port=DataBaseServer.port,
            database="aldeas_inteligentes",
            user=DataBaseServer.user,
            password="Shala55951254"
        )
        cursor = conn.cursor()
        # Utiliza el parámetro 'query' que recibiste en el método
        cursor.execute(query)
        result = cursor.fetchall()
        cursor.close()
        conn.close()
        return result

    def get_coordenadas(self):
        conn = psycopg2.connect(
            host=DataBaseServer.db_server_ip,
            port=DataBaseServer.port,
            database="coordenadas_mx",
            user="postgres",
            password="Shala55951254"
        )
        cursor = conn.cursor()
        # Utiliza el parámetro 'query' que recibiste en el método
        cursor.execute("SELECT* FROM coordenadas_mexico;")
        result = cursor.fetchall()
        cursor.close()
        conn.close()
        return result
